.how-it-works {
    padding: 6rem 2rem;
    background: linear-gradient(
        90deg,
        #eef3ff 0%,
        #eef8fb 100%
    );
}

.section-header {
    text-align: center;
    margin-bottom: 5rem;
}

.how-it-works .section-header .how-it-works-title {
    color: #588EF7;
    font-family: Helvetica, sans-serif;
    font-weight: 500;
    letter-spacing: 3px;
    font-size: large;
}

.section-header h3 {
    margin-top: 1rem;
    font-size: x-large;
    font-weight: 700;
    color: #1f2a44;
}

.steps-container {
    max-width: 1400px;
    margin: auto;

    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
}

.step-card {
    position: relative;
}

.step-number {
    display: block;
    font-size: 5rem;
    font-weight: 800;
    color: rgba(88, 142, 247, 0.25);
    line-height: 1;
    margin-bottom: 1rem;
}

.step-card h3 {
    font-size: x-large;
    color: #1f2a44;
    margin-bottom: 1rem;
}

.step-card p {
    color: #52618f;
    line-height: 1.8;
    font-size: small;
}

/* Tablet */
@media (max-width: 1024px) {
    .steps-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* Mobile */
@media (max-width: 768px) {
    .section-header h2 {
        font-size: large;
    }

    .steps-container {
        grid-template-columns: 1fr;
    }

    .step-number {
        font-size: xx-large;
    }

    .step-card h3 {
        font-size: 1.5rem;
    }
}